Subject: Re: powerpc/book3s: Remove a few page table update interfaces.

From: Michael Ellerman <[email-masked]>
Date: Fri, 22 Feb 2019 20:47:58 +1100 (AEDT)

On Thu, 2019-02-14 at 06:45:40 UTC, "Aneesh Kumar K.V" wrote:
> When updating page tables, we need to make sure we fill the page table
> entry valid bit. We should be using page table populate interface for
> updating the table entries. The page table 'set' interface allows
> updating the raw value of page table entry. This can result in
> updating the entry wrongly. Remove the 'set' interface so that we avoid
> its future usage.
> 
> Signed-off-by: Aneesh Kumar K.V <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/c746ca00f5eac6224eda02f39ebdc48f

cheers